Bug 6048 - возможно нужны изменения в сборке
: возможно нужны изменения в сборке
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/samba)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-06 16:38 by
Modified: 2008-04-13 13:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-06 16:38:26
Не могу понять одну вещь: зачем в зависимостях сборки samba пакет
kernel-headers-std-up? Ни в одной из просмотренных сборок в других
дистрибутивах
не видел потребности в заголовках ядра. Более того buildreq -bi не увидел этой
зависимости.

Насчёт документации. IMO, собирать её сейчас уже нет смысла. В тарболах уже
давно идёт готовая документация, соотвествующая версии. Это, кстати, облегчит
выпуск обновлений для ALM24 и предотвратит ситуации, когда документация из svn
окажется более старой, чем та, которая идёт с исходниками samba (как похоже
вышло с апдейтом версии 3.0.10 для ALM24).
------- Comment #1 From 2005-02-06 16:45:27 -------
ух ты... Assigned To: Vladimir Lettiev <crux@altlinux.org>.

Александр, вы говорили, что после нового года продолжите майнтейнить samba. Или
тут что-то в bugzilla недокрутили.
------- Comment #2 From 2005-02-06 21:23:42 -------
Собирать документацию будем, хотя бы потому, что исходный код я беру из SVN.

Что касается заголовков, то есть разница между системными вызовами между
ядрами,
на которые Самба обращает внимание (2.4/2.6).
------- Comment #3 From 2005-02-06 22:37:35 -------
> Что касается заголовков, то есть разница между системными вызовами между
> ядрами, на которые Самба обращает внимание (2.4/2.6)

Почему меня это заинтересовало? Я использую ядро 2.6, а когда увидел, что для
удовлетворения сборочных зависимостей, пытается установиться
kernel-headers-std-up от ядра 2.4.x, подумал накой оно вообще надо. Тем более,
что если даже strace не видит обращения к файлам заголовков при сборке -- может
они действительно никак не влияют на сборку?

И ещё, всегда хотел спросить, почему не пакуются утилиты, типа smbtorture и
питоньи модули?
------- Comment #4 From 2005-02-07 10:04:33 -------
А здесь опять всплывает проблема с унификацией заголовков.
Может быть баг повесить? Только вот на что...
------- Comment #5 From 2005-02-16 10:06:03 -------
не знаю что делать с этим "багом" закрывать или нет, но вопрос с заголовками
ядра подвис.
------- Comment #6 From 2007-04-18 01:27:12 -------
Если никто не против, то я поменяю на glibc-kernheaders.
------- Comment #7 From 2008-03-30 18:34:57 -------
ping? (в свете недавних угроз про фикшеную 3.0.28a)
------- Comment #8 From 2008-03-30 18:37:01 -------
Уже изменено в 3.0.28a-alt1, будет, когда исправят
https://bugzilla.samba.org/show_bug.cgi?id=5350
------- Comment #9 From 2008-04-12 18:16:48 -------
Fixed in samba-3.0.28a-alt1 and above
------- Comment #10 From 2008-04-13 13:27:13 -------
thx